Download it now!
Bug 134486 - UI: Branding: LibreOffice Personal edition
Summary: UI: Branding: LibreOffice Personal edition
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.beta1+
Hardware: All All
: highest normal
Assignee: Not Assigned
URL: https://blog.documentfoundation.org/b...
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2020-07-03 15:23 UTC by Telesto
Modified: 2020-10-12 20:36 UTC (History)
30 users (show)

See Also:
Crash report or crash signature:


Attachments
Board Discuss active threads over premature 'Personal edition' Tag -- which one? (61.37 KB, image/png)
2020-07-08 17:35 UTC, V Stuart Foote
Details
CE label in start center (162.98 KB, image/png)
2020-07-09 12:24 UTC, Heiko Tietze
Details
Start Center Sidebar proposal green Fun Project, Fantastic People (174.91 KB, image/png)
2020-07-09 13:50 UTC, andreas_k
Details
Start Center Sidebar proposal green Community Edition (173.08 KB, image/png)
2020-07-09 13:52 UTC, andreas_k
Details
Start Center Sidebar proposal with CIB Brand (173.13 KB, image/png)
2020-07-09 14:12 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-07-03 15:23:54 UTC
Description:
UI: Branding: LibreOffice Personal edition

Steps to Reproduce:
1. Open LibreOffice start center and/or about Window

Actual Results:
LibreOffice Personal edition

Expected Results:
You have a personal <-> commercial license. Not sure how I should interpret 'personal edition'. Or what the opposite should be of a personal edition.. Some alternatives (as a brainstorm; some suggestions are awful :-)

Community edition <-> Company edition
Community edition <-> Corporate edition
Community edition <-> Business edition
Community edition <-> Professional edition
Community edition <-> Commercial edition
Community driven <-> commercial backed
Volunteer edition <-> Commercial edition
TDF edition <-> Commercial edition 
Private edition <-> Business edition 
Voluntary supported <-> Commercial supported
Voluntary backed <-> Commercial backed
Free edition <-> Paid edition
Standard edition <-> Business edition

Another remark: the branding "Personal edition" in the start center is not stylish; bit blunt.. Not sure what could be done differently. Not a designer: Font type /font size/ colors...

 


Reproducible: Always


User Profile Reset: No



Additional Info:
-
Comment 1 Xisco Faulí 2020-07-03 17:24:32 UTC
Hi Telesto,
Read the marketing mailing list for more input
Comment 2 Marcos Marado 2020-07-04 15:19:24 UTC
Hi, Xisco, I have been going through the Marketing mailing list archive, and saw no reference to this.

Could you be so kind to point to a more direct link?

Thank you.
Comment 3 Marcos Marado 2020-07-04 15:34:54 UTC
There is some public information about this on the patch introducing it: https://gerrit.libreoffice.org/c/core/+/97427

In particular, information that:

> Italo: 'Description should be: "The Personal edition is supported by volunteers
> and intended for individual use".' (see email)

I do not know, however, which email is that, and as such, where was the background decision made for having this change, this way, calling it "personal edition", or having that description for it.

I do believe that is background information needed in order to be able to discuss this bug report properly.
Comment 5 Telesto 2020-07-04 16:41:35 UTC
The About Window states: "The Personal edition is supported by volunteers and intended for individual use". Shouldn't this be "for private use".
Comment 7 Heiko Tietze 2020-07-05 08:04:00 UTC
Just forwarding...

(In reply to Óvári from bug 108865 comment #25)
> The current solution is a bad compromise.
> 
> "The Personal edition is supported by volunteers and intended for individual
> use." would make people concerned in English speaking countries too.
> 
> It also gives the impressions that its features have been retarded. The
> "Professional edition" has more than the "Personal edition".
> 
> "LibreOffice is Free Software and is made available free of charge.
> Your donation, which is purely optional, supports our worldwide community.
> If you like the software, please consider a donation."
> 
> "Personal" and " and intended for individual use" should be removed.
> "The" should be replaced by "This"
> 
> If the string is required
> "The Personal edition is supported by volunteers and intended for individual
> use."
> should at most be:
> "This edition is supported by volunteers."
> 
> There could be a "Donate" link where "Credits  Website  Release Notes" are
> shown.

(In reply to Gerry from bug 108865 comment #26)
> I fully agree to Ovari's suggestion:
> 
> If the string is required
> "The Personal edition is supported by volunteers and intended for individual
> use."
> should at most be:
> "This edition is supported by volunteers."
> There could be a "Donate" link where "Credits  Website  Release Notes" are
> shown
> 
> Does anyone open a new bug report suggesting this change?
Comment 8 Gerry 2020-07-05 08:20:58 UTC
The change in the About dialog of LibreOffice 7.0 will have substantial negative side effects. Particularly the two terms "personal edition" and "intended for individual use" are likely to hamper the growth and use of LibreOffice. This should not be our aim.

Roman points out these negative side effects here:
https://libreoffice-dev.blogspot.com/2020/07/will-libreoffice-70-be-only-personal.html


Ovari suggests following solution in his to comment to bug 108865#c26 

If the string is required
"The Personal edition is supported by volunteers and intended for individual use."
should at most be:
"This edition is supported by volunteers."
There could be a "Donate" link where "Credits  Website  Release Notes" are shown

This seems to be a good solution.
Comment 9 Telesto 2020-07-05 08:36:43 UTC
(In reply to Gerry from comment #8)
> If the string is required
> "The Personal edition is supported by volunteers and intended for individual
> use."

Only out of curiosity: there is also an objection against replacing for individual use by "for private use"
Comment 10 Pedro 2020-07-05 09:05:41 UTC
(In reply to Gerry from comment #8)
> The change in the About dialog of LibreOffice 7.0 will have substantial
> negative side effects. Particularly the two terms "personal edition" and
> "intended for individual use" are likely to hamper the growth and use of
> LibreOffice. This should not be our aim.
> 
> Roman points out these negative side effects here:
> https://libreoffice-dev.blogspot.com/2020/07/will-libreoffice-70-be-only-
> personal.html
> 
> 
> Ovari suggests following solution in his to comment to bug 108865#c26 
> 
> If the string is required
> "The Personal edition is supported by volunteers and intended for individual
> use."
> should at most be:
> "This edition is supported by volunteers."
> There could be a "Donate" link where "Credits  Website  Release Notes" are
> shown
> 
> This seems to be a good solution.

Whoever included this "The Personal edition is supported by volunteers and intended for individual use." is a rotten egg. Which company does it suit to have this information in the About dialog?

I fully support Gerry and Ovari. AT MOST the About dialog must say "This edition is supported by volunteers." and I also support including a donate button.
So those are three +1 supporting this. 
Otherwise I can bet that several "volunteers" will simply boycot supporting LibreOffice.
Comment 11 Telesto 2020-07-05 09:29:40 UTC
Please include 
https://nextcloud.documentfoundation.org/s/jzryGw7XDkJadmo#pdfviewer (especially page 25-38)
in the discussion.. 

I'm personally not fully against 'branding'. Eco-system partners contributing a lot. Really a lot. If it helps them position there product, fine with me. However objection against the terminology: "Personal edition".. No it's a Community Edition. Individual use.. should be private use.. It's intended for private use. 

Company using LibreOffice in one way or another should relay on commercial support. The community isn't a (free) service desk (a free lunch) with company service standards.. And the eco system partners - major contributors - do exist selling their product; for example 'enterprise' support. 

Businesses are still allowed to use the 'community edition'.. but can't expect professional support. As the TDF edition is intended for private usage. Visa versa private users can theoretically also get the 'enterprise' edition from ecosystem partners.. However it's directed to businesses, not individuals.
Comment 12 Regina Henschel 2020-07-05 12:18:53 UTC
I'm clearly against any of "personal use", "individual use" or "private use" or similar. With such terms LibreOffice cannot be used in education and non-profit organization.
And I don't like, that start window of LibreOffice or About dialog gives the impression, the LibreOffice cannot be used in business. There are a lot of small business around the world, who will never have enough money to use commercial support, but their use of LibreOffice will make LibreOffice better known; and getting a small donation or other contribution from them would help LibreOffice too.

I see the needs of those companies, which pay developers to work on LibreOffice. Therefore I support, that the About dialog has a hint to their business.
Comment 13 Mike Kaganski 2020-07-05 12:33:19 UTC
"Intended for individuals and organizations that do not need professional support..."
Comment 14 Telesto 2020-07-05 12:36:18 UTC
Only a few attempts to come up with some something else.. what we don't want is already pretty clear, IMHO

The Community edition is supported by volunteers and intended for private use.
The Community edition is supported by volunteers and direct to private use.
The Community edition is supported by volunteers and primarily intended for the non-commercial user
The Community edition is supported by volunteers and aimed to the non-commercial user
Comment 15 V Stuart Foote 2020-07-05 12:53:03 UTC
(In reply to Mike Kaganski from comment #13)
> "Intended for individuals and organizations that do not need professional
> support..."

+1
Comment 16 Johnny_M 2020-07-05 13:09:28 UTC
I agree. "Community Edition" would have been better, if any distinction is desired. And I also think that the "intended for individual/personal" use is misleading.

This is only about the lack of professional support after all (and pointing out that there are supported LO *installations* (not *editions*) out there), not any lack of functionality compared to another edition of LO, of which there is none. (Unless re-branded.) Nor due to limitations on installation due to licensing.

This all is already stated in the release notes after all, which is where this topic belongs, IMHO.

And the volunteers promoting LO have a point here, too. I don't think they re-compile LO to change the "edition" or the "intention". They support LO in other ways than contributing code.

By the way, has any contributor organization sourced Inkscape from a professional support provider, to be able to edit the LO logos, etc.? ;)
Comment 17 Martin Srebotnjak 2020-07-05 15:39:43 UTC
Maybe the time has come for a community fork?
Comment 18 V Stuart Foote 2020-07-05 17:49:54 UTC
Rather than comment on https://gerrit.libreoffice.org/c/core/+/97427

I've no real heartburn between "Personal" or "Community" edition, but the "supported by individuals and intended for individual use" really is problematic as it implies a usage restriction that does not exist!

@Italo, Heiko & Miklos -- please see Mike K's comment 13 -- "Intended for individuals and organizations that do not need professional support..." seems much closer to the intended marketing.
Comment 19 V Stuart Foote 2020-07-05 17:53:01 UTC
(In reply to V Stuart Foote from comment #18)
> "supported by individuals and intended for individual use" really is

s/by individuals/by volunteers/
Comment 20 kevm 2020-07-05 18:15:14 UTC
Hi,

I've donated hundreds on dollars to TDF the past several years. If this change is published I will stop promoting Libreoffice. 

Roman is right and Tietze you are letting hubris affect the goals and mission of the Document Foundation. Most public service departments and corporations do not have knowledge of open source. Implying they should just know better is a fallacy.

I know OnlyOffice is killing Collabora in the market right now but this addition is myopic and near sighted. Many emerging markets rely on Libreoffice, where enterprise licensing is inaccessible and this creates an unnecessary barrier to LO adoption.

If Collabora and other companies providing the majority of code for Libreoffice want to promote, it's appropriate to say that Libreoffice is developed by The Document Foundation, a community funded non-profit. You can then use an affirmative statement to link to enterprise support options.

None of the options you presented are helpful because they all falsely imply licensing restrictions to the uneducated. In no way should you ever state that LO has a private or personal use only license. It's fine to point people to enterprise support, but do not try to trick them.
Comment 21 johnks 2020-07-06 05:41:40 UTC
my two cents.

"This software is developed by a team of volunteers and us supported by the community."

an "edition" means there are versions of the software when there are not. The download provided by 
https://www.libreoffice.org/download/download/
is the de facto install and the "enterprise supported" "versions" like by collabora are small privately distributed and supported having their own user base.

Why should the 99% of people who recognize the LibreOffice be now faced with a "community" version when infact this is the only version they can get.

IMO, if a corporate entity wants to use the above version, my message would tell them that they can't expect support from TDF but from the community. If they want to pay for "support" then people like collabora would help there but for 99% of people, this message should be enough
Comment 22 Telesto 2020-07-06 10:12:21 UTC
There is only one edition from TDF point of view. Which can be used by everyone. So every ‘edition’ misplaced, IMHO

The eco-system partners deliver
+ Service/support
+ A orked versions of TDF versions with own branding + a few patches. Say a 6.1 line with some batches back ported still being back ported.. at least I think they do

The eco-partners want profit of the LibreOffice label (or have to use it, no sure if there is legal obligation) at the one hand. OTOH, the want distinct from LibreOffice. 

Making the TDF builds an edition, would make the difference more obvious (for promotion/marketing) The goal is more to promote/raise awareness of the commercial variant from the eco-system partners. I assume.

This is technically not a TDF issue. Except TDF heavily relaying on the eco-system partners (from development perspective + board). I don’t see LibreOffice being actively developed without them. And what they do flows back into LibreOffice (as far I can tell)

The whole symbiosis with TDF and the one hand and eco-partners at the other will always be problematic. OTOH, I can’t think of any model without flaws. The current model apparently works in some way. 

And not if this is the right timing for an internal focus. On experimenting with the whole TDF eco-partners structure. It’s claiming a lot of resources and waisting precious time. I personally prefer speeding up development.

The product quality needs to be improved, to keep in line with competitors. The user base will move on, if we not keep up. This is problematic at community level (less volunteers, less activity) and eco-system partners (no paying customers, no developers). So a lovely spiral to the bottom. We are running behind already from my point of view. Office is a commodity; rather easy to replace.

There is really a need for developers. If the eco-system partners think the benefit for some ‘edition’ which end up in more people working on LibreOffice, please go ahead. Developers, developers, developers is my adagium, currently. Not saying that a new model isn’t needed in the long run. It’s more about priority’s. We don’t have the luxury to start battling each other on multiple fronts. 

Another part of the issue is TDF with spending restrictions at the TDF side.. I’m heaving the impression lots of time/money is ‘waisted’ in the tedious process of writing a tender. Which maybe not most efficient. Except to comply with the law. I would prefer if TDF could hire a developer (partime, full time). We are losing developers, and/or the time the are able to spend on LibreOffice. And most project require lots of time, so can’t be done by volunteers. And contributions of volunteers is of course more ‘ ad hoc’. Where as paid developers can do work continuously (for example the welding project).

The view is based on my current observation and impressions and afloat. It can change/develop based on input/visions etc.

--
The ‘edition’ story is not a ‘natural’ requirement, more a compromise. 

The addition:  “The Personal edition is supported by volunteers and intended for individual use" Has to change. Personal is load terminology. And individual use is wrong 

This already going in the right direction
“Intended for individuals and organizations that do not need professional support…"

But not sure if a negative formulation is allowed. Being positive is mostly better. I think. Even if this is ‘technically’ a proper statement. But didn’t do a study (marketing) communication. And “do not need professional support”. Direct to: IT department deploying LibreOffice (more technically) or user support (how do I). 

Another question is if people actually would read that line anyhow. So is this really necessary. Or we just revert tot the initial line. And assume the ‘edition’ stuff being enough.

Again another story is how prominent the edition should be present inside LibreOffice. Does there need to be a ‘ ….. Edition’ shown in the Start Center (will large fat letters) I prefer not, but that’s me. And if that needs to be so, please make it more artistic.

Same thing for the title bar. Prefer not heaving an edition text in it either. Somewhere in the Start-up splash screen (fine). About Window window image. Background in Start Center should be enough (with a nice design. I think I have seen a community logo already. Else something should be made.. But that's the UX/Design departement)

The edition marketing should be done at website level. Not to much in-app.

Again another part is the story how the process went. A last moment marketing strategy and large noticeable change on a touch area. If you want to people getting pissed off... And backfire with negative PR on https://planet.documentfoundation.org 

I still surprised how many departements/ people went along with this (or let it happen, without objecting).. based on gerrit commit: dev, ux, marketing. There needs to be a better protocol. I have the impression that some people letting this go along on purpose, to get it escalated, because this easier way to make a point. 
It surely works, but until people just drop out being pissed how things are going.
Comment 23 Alexander Werner 2020-07-06 10:27:16 UTC
Cleary, The Document Foundation must release a version that is open to all intended audiences. As clearly stated in the statues, the intended audience is: everyone, explicitly including COMPANIES and PUBLIC AUTHORITIES.
(https://www.documentfoundation.org/statutes.pdf, legally binding version https://www.documentfoundation.org/satzung.pdf).

I quote from the preamble:
"The objective of  the foundation is the promotion and development of  office software available for use by anyone free of charge." - this does not restrict the target audience.
The issue gets even clearer:
"This software will be openly available for free use by anyone for their own files, including companies and public authorities, ensuring full participation in a digital society and without detriment to intellectual property." I see the change in https://gerrit.libreoffice.org/c/core/+/97427 as a direct violation of the statutes The Document Foundation is built upon. 

As a conclusion, restricting or even suggesting a restriction of the target audience in the subtext violates the statutes and undermines the idea of TDF.

Therefore raising the uncertainty, fear and doubt of users encountering such a message has to be abstained from.

This does not hinder a positive information about additional offerings by third parties.
Comment 24 stragu 2020-07-06 13:58:49 UTC
I agree with a lot of people here. My university offers both Microsoft Office and LibreOffice, to give a choice between the widespread proprietary suite, and the FLOSS alternative that offers a lot of customisability.

If the new LO version states "Personal Edition" as soon as you start it, I am fairly certain LibreOffice will be instantly dropped from our computers, without looking further. Simply because "Personal Edition" makes it sound like we are illegally using the software. And that would mean **tens of thousands** of students not being exposed to LibreOffice during their tertiary education any more.

I understand TDF is looking at ways to make the project as sustainable as possible, but I believe there are ways to do it that won't mean a very significant chunk of the actual _and_ potential user bases are dropped all of a sudden.

If you absolutely have to give a name to the main, free edition, please use something more sensible, like "Community Edition".
Comment 25 Gerry 2020-07-06 14:40:47 UTC
Solution as essence of several previous comments:

"This software is developed by a team of volunteers and is supported by the community."

We could add:
"LibreOffice is Free Software and is made available free of charge. Please consider donating: https://www.libreoffice.org/donate/"
&
"For professional support services for LibreOffice, see https://www.libreoffice.org/get-help/professional-support/"


To sum up the discussion (for reasons see the other comments):
- not giving any "intended" audience
- not referring to an "edition"
- not using the terms "private", "individual" or "personal"


As the criticized change seems to be cherry picked for LO 7.0., please classify this bug as a "Regression".
Comment 26 Adolfo Jayme 2020-07-06 19:27:18 UTC
(A bit ironic that this is tagged “needsUXEval” when they never consulted the Design team to implement this gross label. Of course we would have approved a different label!)
Comment 27 steve -_- 2020-07-06 20:30:02 UTC
Besides the legal aspects, adding my cents that the text "Personal Edition" in its current form looks hilarious and alien in 7RC1 Start Center.
Comment 28 Gerry 2020-07-06 22:32:04 UTC
Changed earliest affected version to 7.0.0.0.beta1+ (there is no 7.0.0.0.rc). According to the statement by the TDF Board of Directors, the change is already planned for version 7.0 due beginning of August 2020: 

https://blog.documentfoundation.org/blog/2020/07/06/board-statement-on-the-libreoffice-7-0rc-personal-edition-label/

The BoD encourages feedback via the the “board-discuss” mailing list. E-mail here to subscribe: board-discuss+subscribe@documentfoundation.org

Archive of board-discuss is here: https://listarchives.documentfoundation.org/www/board-discuss/
Comment 29 Timur 2020-07-07 17:27:19 UTC
I'm also against any negative limitations like Personal and "individual use", agreeing with Comment 8, Comment 10, Comment 12, Comment 23, Comment 24.
And with positive informative solutions in Comment 13, Comment 25.
(Start center look is also awful per Comment 1 an Comment 27)
As for Community, it's better but also wrong since no other edition, as explained.

Envisioned result: increased usage of Enterprise LO
Expected result: decrease usage of "Personal" LO
Comment 30 Julian Stirling 2020-07-07 21:51:44 UTC
Enterprise customers should be encouraged to pay for support, but this statement interferes with the fundamental freedoms of open source (even if only by implication rather than by license). There is no need to have a different "edition", to differentiate supported copies. You could have a tag line that says:

"LibreOffice is developed by The Document Foundation, ecosystem partners, and numerous volunteers. This copy is community supported. For enterprise use we recommend buying support from a LibreOffice ecosystem partner."

This makes it clear that the copy does not have the available paid support, but that it is the same copy and you have the right to use it. This doesn't stop other companies offering support, but it gives something clear for large enterprises to put in a tender documents so they are more buy from those who contribute to the source.

Perhaps token based authentication could change the tag line to show that the version is supported by an ecosystem partner? Not sure if that is an awful idea.

I know this idea is half baked, but that makes it 50% more baked than a statement claiming LO is "intended for personal use".
Comment 31 RGB 2020-07-08 09:44:14 UTC
Suggestion: simply call it "The Document Foundation Edition." The tag could be something like the following:

"The Document Foundation Edition is supported by volunteers. If you need professional support, please consider contacting one of our certified partners [link]." 

Please, no mention, neither positive nor negative, to an "intended target."
Comment 32 Heiko Tietze 2020-07-08 10:14:57 UTC
(In reply to RGB from comment #31)
> Suggestion: simply call it "The Document Foundation Edition." The tag could
> be something like the following:
> 
> "The Document Foundation Edition is supported by volunteers. If you need
> professional support, please consider contacting one of our certified
> partners [link]." 

Source code is free to use and some distributions build own binaries. For them we have the non-TDF tagline in the sources (empty in case of 6.x, now PE) and use TDF solely for what we distribute on our website.
Comment 33 Jan-Marek Glogowski 2020-07-08 12:14:03 UTC
It feels strange, that the official information about this change / patch was shared "after the fact" (as in "after the LO source was patched"). For me it came up on IRC first, as I hadn't updated my build yet. I'm aware that the patch can be easily reverted; but that is not my point. My point is, a minority made this decision, not the community / TDF members, and now it should be discussed by the community. This is not about the proposed change, just the seemingly "secret" implementation. And we're already in the RC release phase for 7.0[1].

What I have often heard in the current and in previous discussions of LO commercial models, is that companies are somehow (morally?) required to pay for LO (support).
I think, this argument is simply invalid / none: LO is free software, so everyone can use it, not just a "person", like it's IMHO implied by the rename. I guess the people are already aware of the support implications, and otherwise don't care. Probably this information should be made more prominent?

What eventually will happen due to this change is a lot of users wondering, what is going on. I don't know if they take time for the investigation or simply switch. I don't know, if this change will be good or bad marketing in the end; either for the commercial LO editions or the (now) "personal" TDF one, but I tend to the latter. There are also enough other (mostly non-free?) office suites available, but AFAIK mostly free for "personal" use.

Maybe it would simply be better to offer downloads to the TDF version, clearly stating the 6 / 9 months support cycle and linking to the "Professional Support" page, stating that commercial versions with longer support cycles and paid support are available (just stating this fact as it) and TDF endorsed, then these naming shenanigans? AFAIK this is currently the primary selling factor.

There is already enough discussion about the implications of the phrase "The Personal edition is supported by volunteers and intended for individual use." in the previous comments.

And the change / this bug already made it into the general German IT press[2], with comments in the range of "this looks like a limitation in the range of functionality".

[1] https://wiki.documentfoundation.org/ReleasePlan/7.0#7.0.0_release
[2] https://www.golem.de/news/document-foundation-libreoffice-soll-private-und-kommerzielle-nutzung-trennen-2007-149520.html
Comment 34 Michael Meeks 2020-07-08 16:59:40 UTC
For myself I find bugs an extremely poor way of conversing, no threads, hard to quote & interact with other people's arguments. Please can I encourage people as Gerry kindly pointed out to join the board-discuss thread and make their points there: https://listarchives.documentfoundation.org/www/board-discuss/
Comment 35 V Stuart Foote 2020-07-08 17:35:27 UTC
Created attachment 162813 [details]
Board Discuss active threads over premature 'Personal edition' Tag -- which one?

(In reply to Michael Meeks from comment #34)
> For myself I find bugs an extremely poor way of conversing, no threads, hard
> to quote & interact with other people's arguments. Please can I encourage
> people as Gerry kindly pointed out to join the board-discuss thread and make
> their points there:
> https://listarchives.documentfoundation.org/www/board-discuss/

Hi Michael, not subscribed ;-) 

But which thread? Seems every new post to the ML spins off another thread.  At least with BZ can keep things organized pruned and cross refrenced--with ML notification; and has the benefit of concise self archiving.
Comment 36 Timur 2020-07-08 19:31:48 UTC
Much was said by TDF members and users and I think that consensus was reached.
Shall this disastrous, LO anniversary ruining move be reverted?
Comment 37 Telesto 2020-07-08 21:18:11 UTC
(In reply to Timur from comment #36)
> Much was said by TDF members and users and I think that consensus was
> reached.
> Shall this disastrous, LO anniversary ruining move be reverted?

That's the easy part. However it doesn't solve the fundamental underlying problem. This didn't come out of nowhere, it's lingering around quite some time now. LibreOffice being freely available for everyone, but mostly made possible by - code contributions - of a (few) eco-system partners. With the intention of making money by selling services. Their 'product' is currently  limited to services, as the code public and 'LibreOffice' being the brand. 

However, the interest in these services is as good as absent. Enterprises/business are using LibreOffice without contributing money and/or code. Reasons enough. They don't care, they don't have to.

From the perspective of eco-system partners 'free rider' as the assumed they could make some money of it. Especially in Enterprise environments. So their business model isn't working

The "Personal edition" is 'intended' to 'cajole' company's into pay for Enterprise edition or something like that.  

It's a conflict between ideals and reality. The eco-system partner are giving the code away for free, without the (expected) returns. This can't go on for ever. Money needs to be generated by the eco-system partners (and/or TDF) to keep LibreOffice afloat/alive. LibreOffice is lost without the eco-system partners contributing (or in another model TDF hiring eco-system partners or TDF hiring a number of developers). However, if TDF increases spending to pay the bills of people involved professionally.. how does TDF generate that kind of money? Donations are unreliable, I assume.

So the key question seems to be: how can LibreOffice be monetized, while respecting the ideals.

A good read:
https://listarchives.documentfoundation.org/www/board-discuss/msg04591.html
Comment 38 Emir Sarı 2020-07-09 11:17:05 UTC
I fully support getting more development resources for TDF, but IMO, lack of a second "edition" is a marketing blocker for this from the start.

1. Community Edition
2. Enterprise Edition -> a listing of available companies to get LibreOffice from, not an edition from TDF

I am aware that these companies already play a big role in LibreOffice development, but I am not sure that directing the enterprise or government folks to 3rd parties would be too appealing for them. It's confession from TDF that they are pulling from the market themselves, and leaving it to 3rd parties, a confession that they are limiting their user base.

I hope enough on-site market research is conducted before making this decision. Otherwise we will be reading news that organisations and governments simply switching to different alternatives with better official contact and branding, instead of dealing with a 3rd party providing LibreOffice company other than TDF. Confusion ensues.

What would be ideal is, creating an actual "Enterprise Edition", with subscriptions or one-time licence fees, then using this resources to fund (outsource) development. It's okay for Enterprise Edition to come with more features, especially with all the LibreOffice Online perks. Channel all support requests to 3rd parties, why not? But TDF should provide all LibreOffice versions, not fragmentise it.

Visual Studio is a nice example. Free for single developers, paid for enterprise. Everyone is happy.

Another thing, I am really not happy is that TDF doesn't get to prioritise UX issues. With this model, companies usually tend to fix document-related issues, and UX related issues doesn't get much attention. With all the branding and the funds remaining in-house, TDF can select development priorities, and help to make LO (actually) fun to use on all platforms (looking at you macOS version).

Final thing, please don't rush this. It's obvious that this is not researched enough and thought-through, and with the release at the doorstep, it will be a huge chaos and backslash from everyone affiliated.
Comment 39 aisyko 2020-07-09 11:53:28 UTC
Hi,

I think you should just keep LibreOffice for everyone and add "pro, organisation... (what ever your marketing strategy wants) " for other...

"Personal or Community Editions" will decrease the perception quality of the project.
Comment 40 Heiko Tietze 2020-07-09 12:24:49 UTC
Created attachment 162845 [details]
CE label in start center

Assuming we use "Community Edition" (see latest message on BoD ML and to members) the start center still shows a not so nice label in the sidebar. Any idea to improve this? Please keep in mind that it still should make the difference as clear as possible.
Comment 41 andreas_k 2020-07-09 12:35:50 UTC
(In reply to Heiko Tietze from comment #40)
> Created attachment 162845 [details]
> CE label in start center

I would remove any label in the start center sidebar. If it's really really needed, I would use the "LibreOffice Communit Edition" image from the about dialog.
Comment 42 pierre-yves samyn 2020-07-09 12:58:12 UTC
Hi

+1 with Regina Henschel comment #12 & Mike Kaganski comment #13

My choice would be:

Community Edition: Intended for individuals and organizations that do not need professional support...

And introduction of the umbrella brand "Enterprise Edition" with explanations and pointer to ecosystem partner offerings.

Regards
Pierre-Yves
Comment 43 Telesto 2020-07-09 13:28:31 UTC
(In reply to Heiko Tietze from comment #40)
> Created attachment 162845 [details]
> CE label in start center
> 
> Assuming we use "Community Edition" (see latest message on BoD ML and to
> members) the start center still shows a not so nice label in the sidebar.
> Any idea to improve this? Please keep in mind that it still should make the
> difference as clear as possible.

For the record. Community Edition surely better compared to Personal edition. However - backpedaling a bit - still not a large supporter for the edition branding. Or the more specific, without a well considered marketing strategy. 

The community edition branding creates a different product image; less professional [not a marketing strategist]. 
So what happens with Enterprises etc who currently use LibreOffice? There is a risk the will drop LibreOffice in a whole. Community being to unprofessional and not wanting/can switch to Enterprise edition. For example the IT department did install LibreOffice, without much involvement of the Legal Department or Financial department (Free Beer). However spending/contracts makes the whole story different, everybody wants a say in it.A marked share is of course also a thing.
And what to do with a (hypothetical) company's who wants to use LibreOffice without service support, but willing to donate say $3000 a year. Or the lack of knowledge about financial support. Open Source is free, right! And the IT-department not suggesting to do a donation; because not their job, don't care etc. 

There a so many narratives/story's you think of. 

A part the strategy is clearly communication: open source is not the equivalent for free. Even if it's available for free; which by itself is already an odd proposition. The newspaper have (had) a somewhat similar issue related to their selling model. A hard paywall. 5 articles for free a day/week. Or the whole paper for free with nudging to buy and/or banners (which are blocked by ad-blockers).
Comment 44 andreas_k 2020-07-09 13:50:06 UTC
Created attachment 162848 [details]
Start Center Sidebar proposal green Fun Project, Fantastic People

Without Community or any other string.

>>LibreOffice Fun Project, Fantastic People<<

From our webpage.

LibreOffice is about more than software.
It’s about people, culture, creation, sharing and collaboration.
Comment 45 andreas_k 2020-07-09 13:52:38 UTC
Created attachment 162849 [details]
Start Center Sidebar proposal green Community Edition

I prefer the Fun Project, Fantastic People which didn't fix the release to community, personal use, ...
Comment 46 andreas_k 2020-07-09 14:12:59 UTC
Created attachment 162851 [details]
Start Center Sidebar proposal with CIB Brand

Instead of LibreOffice the enterprise partners can add there whatever they want. Here as example CIB.
Comment 47 oiaohm 2020-07-09 16:06:39 UTC
(In reply to Emir Sarı from comment #38)
> Visual Studio is a nice example. Free for single developers, paid for
> enterprise. Everyone is happy.

This is a fools mistake every one is not happy some are having to run the illegally with Visual studio due to a particular problem.  Yes it not unique to Visual studio its effecting Libreoffice before all this debate as well.

https://visualstudio.microsoft.com/vs/compare/

Yes Visual Studio is a good example of o no we screwed our versioning.

You have 3 versions

Visual Studio Community/Professional/Enterprise

Professional and Enterprise are to be used by Enterprise right.   How does Microsoft define this.

>>Enterprise organizations are defined as >250 PCs or > $1 Million US Dollars in annual revenue.

That is enterprise from Microsoft.  

The the community version of Visual Studio cannot be used by Non-enterprise organizations with more 5 users or by anyone Microsoft calls Enterprise.

Now here is the disaster.   All 3 versions can submit to open source projects.   Yet not everyone can legally use the same version of the software.   So you have users working in a open source project with all 3 versions of Visual Studio and they legally cannot all be on the same page.

Yes there are a lot of cases with Visual Studio of people installing Visual Studio Community technically against license to make sure that when they are working on a open source projects works.  The issues with Visual Studio Enterprise is why I don't see LibreOffice Enterprise as the best way forwards.   

We don't need to cause this Visual Studio problem with Libreoffice.   The base version need to be install-able by all.   If those making enterprise versions of LibreOffice don't like the competition stiff.   

Effective collaboration between users require all uses if possible to be on the same version of software so there are no unique software quirks and everyone be able to install the same version of software.   Yes this collaboration problem is why you will see companies go back to using the community supported version of Libreoffice over one of the ecosystem(what is going to be now Enterprise versions) because they run into the intermit issues where staff members are using different versions of Libreoffice into unique issues.  Not as bad as different versions of MS Office but it still there and there is really only 1 fix to this problem use 1 version of software for everyone.

Yes ecosystem people need to make money they need to be able to sell stuff like extensions addons ... to end users with the least number of unique versions.  Currently we have way too many versions of Libreoffice like it or not. 

I was hoping that Libreoffice Enterprise would see Collabera/CIB and others stop making their own unique version of Libreoffice and move to a market system mode where they can sell their addons to LibreOffice to each other user base.  But no we cannot have this as different companies decide to in fact work with each other to have the largest market space to sell their content to they have to make their own individual products that result in collaboration problems.   These collaboration problems cause them market share problems so they are now attempting to fix the problem with marketing and attempt to restrict users of competing product they are losing to instead of facing up to the problem that they need to redo their complete method of making money out Libreoffice.

There are a lot of possible sell-able consumables and addons to base libreoffice that could be done by the ecosystem in the same way blender cloud does.  Currently we don't have a market place for parties to sell closed source addons to LibreOffice to LibreOffice users also we have no where to sell access to the latest and greatest templates....

https://cloud.blender.org/welcome
Yes there is a lot of possible money to be made this route without requiring each user have per ecosystem versions of software.   Yes over 119 USD per user per year using the blender cloud and sections of this money gets to go back funding the development of blender and making more content for the cloud.   Yes most of the content in the blender cloud is licensed once you have downloaded it you can use it how ever you like but if you are not paying for the cloud you will no longer get the latest versions as soon as they are released.

Libreoffice has attempted to-do templates and extensions for free lets be real its not working effectively to generate the volume Libreoffice needs to compete with MS Office.  We need a LibreOffice cloud like blenders cloud to fund the work on templates and extensions and the blender cloud model could be used to increase the ecosystem over all income.

This route that does not cause issues with the collaboration usage of Libreoffice has not been effectively explored and is a path to lots and lots of money possible more the ecosystem currently is making as well providing funding in areas Libreoffice need it in yesterday to compete with MS Office head to head in a big way.
Comment 48 Michael Meeks 2020-07-09 17:37:57 UTC
(In reply to Oiaohm from comment #47)
> We don't need to cause this Visual Studio problem with Libreoffice.
> The base version need to be install-able by all.

That is the current state, and the state after the change.

> because they run into the intermit issues where staff members are
> using different versions of Libreoffice into unique issues.

Have you filed any of these ? I've read and worked on support tickets a lot and I don't recall seeing one; though I'm sure you can find one or two in our 10k open tickets at TDF if you hunt =)

> Yes ecosystem people need to make money they need to be able to sell
> stuff like extensions addons ... to end users with the least number
> of unique versions.
...
> Currently we don't have a market place for parties to sell closed source
> addons to LibreOffice to LibreOffice users also we have no where to sell
> access to the latest and greatest templates....

You seem to be advocating an open-core with proprietary extensions, that's not a model I personally like at all - it tends to focus all investment in the proprietary periphery not the core. It is not very un-scalable to lots of players, and it hinders those who want to work to improve the core. You also seem to advocate a proprietary app-store built into LibreOffice, also something we ruled out when we started.

> Yes there is a lot of possible money to be made this route without requiring

Perhaps.

> is a path to lots and lots of money possible more the ecosystem currently
> is making as well providing funding in areas Libreoffice need it in
> yesterday to compete with MS Office head to head in a big way.

Clearly finding an effective way to fund ongoing LibreOffice development is what we're looking for. Anyone who has been involved in TDF governance is unlikely to believe that it will act like a dynamic business though.

Please lets continue this if at all on the board-discuss list, as requested.
Comment 49 Óvári 2020-07-09 22:55:18 UTC Comment hidden (obsolete)
Comment 50 Óvári 2020-07-09 22:56:33 UTC
lemc wrote "In this context, I also concur with the opinion that a special naming should be reserved to the commercial edition, while the regular one would remain known simply as LibreOffice."
https://blog.documentfoundation.org/blog/2020/07/09/marketing-plan-draft-discussion-about-options-available-and-timetable/

Hence, We were wrong when we previously wrote to change "Personal Edition" to "Community Edition". The regular one from TDF should remain known simply as LibreOffice.

It is understood that all editions are the same as only the support is different?

Should “Enterprise Edition” be called “Enterprise Support”?

Thank you
Comment 51 oiaohm 2020-07-10 02:02:55 UTC
(In reply to Michael Meeks from comment #48)
> (In reply to Oiaohm from comment #47)
> > We don't need to cause this Visual Studio problem with Libreoffice.
> > The base version need to be install-able by all.
> 
> That is the current state, and the state after the change.

The first marketing document proposal was doing  Personal edition not for enterprise and that idea does not work and I have listed why.
> 
> > because they run into the intermit issues where staff members are
> > using different versions of Libreoffice into unique issues.
> 
> Have you filed any of these ? I've read and worked on support tickets a lot
> and I don't recall seeing one; though I'm sure you can find one or two in
> our 10k open tickets at TDF if you hunt =)

Of course this the problem of you working where you and and me working on installations building systems and providing after installation support.

The reality is we are going to file zero of these bugs we fix them by putting everyone on the same version.  If the current edition community of libreoffice has a issue that effecting production then you file bug report.   This response is what you have to do with MS Office and stack of other programs and there is no point filling bugs over this stuff with them.   This of course results in business using CIB and Collabera versions of LibreOffice going back to mainline community for collaborative issue reduction and once they are back to mainline community why should they keep on paying CIB or Collabera.

Basically this is a class of bug that you are not going to find in the 10k open tickets at TDF us supporting systems have decades of dealing with closed source where you do the same fix to this problem when it appears over and over again and don't bother filing anything.   There is no point filing anything either because boss will not pay us to answer any developer questions on these kinds of bugs because its fixed by syncing everyone version and once it fixed from the business point of view not a problem to the boss so you cannot justify working on it.  Yes it means you have zero time to make sample documents to demo these bugs either.


> 
> > Yes ecosystem people need to make money they need to be able to sell
> > stuff like extensions addons ... to end users with the least number
> > of unique versions.
> ...
> > Currently we don't have a market place for parties to sell closed source
> > addons to LibreOffice to LibreOffice users also we have no where to sell
> > access to the latest and greatest templates....
> 
> You seem to be advocating an open-core with proprietary extensions, that's
> not a model I personally like at all - it tends to focus all investment in
> the proprietary periphery not the core. It is not very un-scalable to lots
> of players, and it hinders those who want to work to improve the core. You
> also seem to advocate a proprietary app-store built into LibreOffice, also
> something we ruled out when we started.
> 
The reality here is you already have a open-core with proprietary extensions model.   The thing is its a non cooperative open-core with proprietary extensions.  Yes the OxOffice, "NDC ODF Application Tools", CIB and Collabera Office suites all based libreoffice each have unique vendor only extensions.   Of course we have the Linux distributions maintaining their custom versions as well.   So libreoffice is well and truly in non cooperative open-core with proprietary extensions hell all ready.  We also have developers of extensions not getting the money the need to maintain them or mainline them this is a ecosystem problem.

Cooperative open core does at times make things harder for developers like you Michael because you are now required when you want to change things not just get the approve of your company but get approve of everyone working on the project.   But this makes it better for end users working cooperative with each other because they don't run into the problem of different versions with incompatible implementations as much any more because less different versions exist.

But there is also a upside to this lets say you were in fact selling support on the community version of libreoffice core with your own companies extension.  End users are not going to run into the same cooperation problems of incompatibles and migrating away to a unsupported version is not going to improve their current issues.   The unsupported and the support version are doing things exactly the same way because they are exactly the same thing in this model.   This will stop CIB and Collabera bleeding as many users back to the community version.  Part of being a support company is retaining your customers there is a problem I am seeing that explains why you will have a very hard time retaining your customers.

If the extensions are done in a compatible way a party may buy from both CIB and Collabera at the same time this also depends on something like a appstore to vet the quality of extensions that end users can trust that they will work with each other without causing isues.   This basically promises more profitability to the ecosystem members while removing end user problems that are currently undermining the profitability of the ecosystem.

Remember a party paying to to fix a fault in core code is still going to exist because a fault in the core code is going to be harming their workflow.

Appstore model on extensions is kind of horrible but this would allow foundation to take in money from those providing closed source extensions of course I can understand from Collabera point of view not likely the idea of basically being taxed by Appstore to fund the foundation.    The blender cloud model is more than this.

> > Yes there is a lot of possible money to be made this route without requiring
> 
> Perhaps.
> 
> > is a path to lots and lots of money possible more the ecosystem currently
> > is making as well providing funding in areas Libreoffice need it in
> > yesterday to compete with MS Office head to head in a big way.
> 
> Clearly finding an effective way to fund ongoing LibreOffice development is
> what we're looking for. Anyone who has been involved in TDF governance is
> unlikely to believe that it will act like a dynamic business though.
> 
Blender cloud you really do need to look closely at.   Yes the appstore was ruled out early with Libreoffice.   The reality is that idea need to be relooked at.   Blender cloud is not just closed source extensions.   Its like the LWN.net where you get early access to newer content by paying as well.

You said the appstore has been ruled out but it has a lot of carrot and stick options.   The profit each year from the appstore commissions can in theory be split between what the foundation needs and those companies and individuals who in fact worked on the core code.   Yes the percentage of commission taken for a item listed in appstore can be based on involvement in core project more involvement less percentage taken.

There are ways to carrot and stick out open-core with proprietary extensions model with a appstore/cloud the proprietary extensions are served up to end users that its in your best interest to work on the open-core.   If you do a open-core with proprietary extensions without a appstore/cloud with a good set of carrot and sticks to work on the open-core the results are not good.   But there is also money to be made just for you pay you get early access to items that will be free latter.

Yes setting up a appstore so it works right will require some serous work on the rules.   Early libreoffice really had enough problems doing a lot of the basic organisational things.   I think Libreoffice board and resources are now big enough that the idea could be revisited and now down properly.   Appstore/cloud done properly will bring income directly to the foundation instead of the foundation having to ask for money all the time.   The foundation can also have a rule that profits from the appstore/cloud has to be invested in core project work.
Comment 52 Frank Fuchs 2020-07-10 08:44:37 UTC
As we were all encouraged by Lothar Becker to give our feedback on the mailing list or in this bugzilla entry, here's mine:
* The rapid further development of LibreOffice - same as in the past years - is relatively heavily dependent on some companies willing to have their employees spend time on it. If we were "just" to rely on non-comapny paid resources to improve LO, we'd not be where we are today and the future would likely show that LO would lag more and more behind MS Office and other products.
* However, it is a FUNDAMENTAL basis for the LibreOffice ecosystem, that the world knows it is open source, free to use, ...
* This relies on both a legal basis AND on perception. The legal basis is to remain unchanged, perception is the problem.

So, how can we protect what the LO ecosystem knows and perceives about LO being "open and free" - while at the same time encouraging enterprise customers to support the ecosystem monetarily?
* It seems obvious that the LO version with "Enterprise Support" should get an additional name tag for marketing purposes (in my eyes, marketing should decide on this name tag)
* Adding a name tag to the "normal" LO version runs the risk of damaging the perception (see above). However, not adding a tag at all does not improve the situation for the LO company contributors. Therefore, to me, it seems logical to add a name tag to the "normal" LO version which does not damage the perception.
* Adding "Community Edition" seems to fulfill both purposes: it implies there is also some other edition while at the same time protecting the perception that LO is open and free to use.
* Adding "Personal Edition" clearly does not fulfill our requirements - as can be seen by the reactions of current LO users, it would damage the perception substantially.

In a nutshell my recommendation / opinion is:
* add "Community Edition" to the normal version
* add another name tag to the version with Enterprise Support (name to be chosen by marketing)
Comment 53 m.a.riosv 2020-07-11 04:26:01 UTC
I see some rather harsh criticism, but IMHO we are all entitled to make mistakes, only those who do something can have them.
I don't like the mention introduced either, but it has had the ability to force a wide discussion, which only being positive and constructive can help us to get the best for LibreOffice and therefore for its eco-system. We need each other, otherwise we will all lose.

My bit.
-----------------------------
LibreOffice reference edition
-----------------------------

If I'm right, being the "reference" is seen as valuable everywhere.

Miguel Ángel.

PD If were possible avoid testaments.
Comment 54 Timur 2020-07-11 08:14:12 UTC
(In reply to Timur from comment #36)
> Much was said by TDF members and users and I think that consensus was
> reached.
> Shall this disastrous, LO anniversary ruining move be reverted?

My question was towards those who did this. 

I see that only now discussion is encouraged, but very late. This "personal" decision was done with BoD, if I understand well. So they showed that being "TDF member" is meaningless. Normally, any structural change of the Foundation or the software, and this is very important one, should have been discussed with members. And that would be the only purpose of being a member. 

LO still has issues with name perception from OO time, after so many years. Interesting that I received many mails in mailing list on that, but not on a much more important issue of LO name change. 
New change and adding "an edition" would make additional damage and this one was awful, with all start, title bar and About. 
If someone wants to change something, please do on the webpage and not in LO. 
If more marketing is needed please do towards non-LO millions of users and organizations, not limiting existing users in how they use (what should be) free software . 

If we had a discussion, it could have included contributions. But not only code, also reports and triage/QA and UX..  need to be accounted. 
I see claims that ecosystem companies attribute majority of code. TDF members should have received proper analysis taking into account code and all. I don't recall seeing one. 
Even code is not all. I see a lot of regressions. Just a single ecosystem partner has around 300 regression bugs open for a long time, with many duplicates and repeated bibisects. And simple but wrong analysis would show they contributed a lot of code, I guess. 

Seems that some ecosystem companies (I see one being active here and in BoD) are claiming the need for more paying users. That is their right but not on the expense of existing LO users. 
But I guess that not all contributing companies insist on that. AFAIK not all have business model depending on enterprise support. 
So proper analysis should have been done first, so that we know exactly what's going on. 
If all this fuss is for a single company  than I find it not justified to destroy LO perception and decrease usage, which are only possible realistic outcomes of this unreasonable "personal" decision.
Comment 55 Timur 2020-07-11 15:44:45 UTC Comment hidden (obsolete)
Comment 56 V Stuart Foote 2020-07-11 15:59:09 UTC
(In reply to Timur from comment #55)
> ...
> I add some comments from the blog

@Timur, frankly, TLDR; and while I've no objection to reposting similar, you needed to trim/edit the commentary--or provide the URLs  -- Stuart
Comment 57 Timur 2020-07-11 19:42:11 UTC
There are multiple channels of discussion, this bug, mailing list and continues on blog. 
I add some comments from the blog https://blog.documentfoundation.org/blog/2020/07/09/marketing-plan-draft-discussion-about-options-available-and-timetable/
I add them as text for all arguments to be listed here (I correct previous post). 


By James Harking

It is worth considering that the danger or dithering can be worse than acting, is it worth causing such discussions and bickering for an additional 6 months? If the decision is such that the name is changed to ‘Community Edition’ then that would appear to me to be an acceptable compromise.

The strategy of having these two conceptually different versions (Community and Enterprise) is sound in my mind. Or else you could well find yourself in the same position as now for a long time and that does not serve the long term strategy of the DF or the development requirements of the application.

You risk unnecessary delay and not showing leadership. You will never be able to please everyone with the strategy that you choose, but making a decision shows leadership by choosing and sticking with a decision.

I would vote for Variant 2.

on 2020-07-09


By Mark S.

Calling something “Community Edition” does not give a positive impression. You might as well call it the “Lesser Edition” or “Crippled Edition”. That is what companies do when they open-source a restricted subset of their commercial product. It is not something a Free Software project should even consider.

Is there a Linux Community Edition? An Apache Community Edition? A PostgreSQL Community Edition? The answer is “No”, because these are not subsets of a commercial product. They are the canonical reference projects that any derivative commercial products would be based on. It is the derivative products that must append some diminutive suffix or permutation of the original name, based on the trademark policies of the source project.

Let LibreOffice stay LibreOffice, and let any commercial derivatives deal with naming issues of their products on their own time.

on 2020-07-09 


    By Vince

    I do agree with you.
    Just keep LibreOffice LibreOffice.
    The swap from MSO to LO is a very difficult step for any (as a person, a small or large enterprises), and first of all, you have to convince the decision-maker. And for a decision-maker, ‘Personal edition’ or ‘Community edition’ will give a definitive feeling of cheap, low advanced, limited, while just ‘LibreOffice’ will be more rewarding. Going to an ‘Enterprise edition’ is a step further.

    on 2020-07-10


By lemc

I’m in the academia, and I have been using LibreOffice (and OpenOffice before that) daily for more than 10 years.
What really concerns me is that this new marketing strategy might lead to the differentiation, or branching, of the code base of the regular (“community”) and enterprise editions, with the former being stripped down in terms of functional features.
One reader in another forum (https://forums.theregister.com/forum/all/2020/07/07/libreoffice_community_protests_at_introduction/) rightfully said that the “Worst thing they can do is to split it into personal and commercial editions and reserve highly useful and desirable features for commercial users only”. And herein in this blog, a reader (Mark S) also expressed his concern that a “community” edition might actually end up being a “Lesser Edition or Crippled Edition”. His considerations about an eventual “community” edition being a subset of the “enterprise” edition are also highly pertinent.
So TDF should clearly make a statement about this issue, informing users whether the “community” and enterprise editions would continue to be exactly the same in terms of features, and that the two editions would simultaneously receive the same updates and bug fixes. It would also be extremely desirable if the two editions had exactly the same version number, to clearly indicate that the core programs are the same.
However, it would be perfectly acceptable if the enterprise edition came with a much larger collection of fonts, clip arts, and templates, as well as pre-installed business-oriented extensions and a commercial grammar checker. In this context, I also concur with the opinion that a special naming should be reserved to the commercial edition, while the regular one would remain known simply as LibreOffice.

on 2020-07-09 


By JR

Yes. Keep LibreOffice and LibreOffice Business Edition.
That sounds like enrichment for the company, but not crippling for the others.

on 2020-07-09 


By Franck Routier

I also think that renaming the base product is a bad idea…
Why not simply create an “enterprise” brand, like “Corporate edition”, “Professional support edition”, or anything that sounds as a added value offering.
Would not adding a potentially pejorative qualifier make the “entreprise” offering less attractive ?
I don’t think so. Organizations that might need professional services will seek for it anyway. And nothing prevents from promoting the professional offering in the product anyway.
This will make clear that LibreOffice remains the product, and that enterprise edition deals with professional services and support.
This will make clear that “Community edition” won’t be a crippled version.
This will make clear that TDF remains strong on its core values.

on 2020-07-10 


By Óvári

We previously wrote to suggest changing “Personal Edition” to “Community Edition”. We were wrong as we agree with “lemc” that “special naming should be reserved to the commercial edition, while the regular one would remain known simply as LibreOffice.”

Please don’t have “Personal Edition” or “Community Edition” at all.

on 2020-07-09 	


By Martin Steigerwald

I also prefer no name change for LibreOffice.

Calling it Community Edition would be acceptable to me, however… I think not changing the name is even better.

Again: “If it ain’t broken, don’t fix it.”

Call enterprise offerings LibreOffice Enterprise or LibreOffice Business and please make it clear that this does not mean that the LibreOffice as it we know it now is about to be crippled in any form or features only implemented in some enterprise editions. Of course that would mean that the enterprise offerings would mostly be about support, long term maintenance, consulting and things like that.

on 2020-07-10 


By Jeremy Andrews

I would like to suggest a “club membership” type of annual member fee which would give members some advantages, create a sense of community and belonging and encourage product evangelism.

Advantages could be things like easier access to programmers, early previews of new versions and a membership bulletin board that would enable communication between members with similar uses of the software. I am sure many serious users ( I started with Star Office years ago) would be happy to pay a reasonable membership subscription if it will help sustain a really incredible effort by the community.

It would be a sad day if developement stopped.

Best of luck with marketing – in all these years I have never had the need off using “other” office systems

on 2020-07-10
Comment 58 Julian Stirling 2020-07-11 22:10:35 UTC
Michael Meeks:
> For myself I find bugs an extremely poor way of conversing, no threads, hard to quote & interact with other people's arguments. Please can I encourage people as Gerry kindly pointed out to join the board-discuss thread and make their points there: https://listarchives.documentfoundation.org/www/board-discuss/

The problem with such a suggestion is many people simply are not really sure how to participate on this board. Do I just send an email!?

While you may find this linear, chronological, thread a "poor way of conversing". It took me about 25 mins of being confused to realise I was reading the posts on Board Discuss in the wrong order. There is some interesting information on the board, but I get totally lost trying to follow conversations. Insisting on communicating through such a tool is a great way to ensure that you exclude many people from the conversation.
Comment 59 christos 2020-07-14 06:15:31 UTC
1. SOFTWARE FREEDOM should be the focus of TDF's branding given the foundation's mission stated in #comment 23.

2. Is this marketing plan INVALIDATING THE STATUTES of TDF or hiding a change of mission under the guise of pragmatism?

3. Unless TDF is DESPERATE, the right place to promote ecosystem partners is not the UI of the software. How about, for example, the website? (Also suggested in #comment 22).

4. Having two editions is COUNTERPRODUCTIVE.

- a) It undermines LO by underscoring the notion that commercial is better. What does this imply about software that is 100% commercial as opposed to being FOSS with "only" commercial extensions?

- b) By extension, in the LO world the personal/community edition will be a second-class citizen. The marketing plan SAYS AS MUCH on p. 32: “volunteers supported, not suggested for production environments or strategic documents”. Since when do the makers of free software claim NOT to recommend it for production environments?

- c) TDF is seen wavering in its commitment to free software. This is enough to drive away both VOLUNTEERS insulted by the statement quoted above and private DONORS (see #comment 20), increasing some of the very tensions the marketing plan laments. Community editions and the like are not the fruit of free software projects (see #comment 57).

- d) It is a sign that support from ecosystem companies comes with too many strings attached (reminiscent of Canonical's foisting the Amazon button on the Ubuntu desktop).

- e) What will the USERS think of this? They have not asked for a personal edition or whatever.

5. The proposed DONATION button or link would be redundant since there is Donate to LibreOffice in the Help menu before About, which could be made more prominent or rearranged.

Conclusion: I fear the need to improve the current situation is creating pressure to act together with a reluctance to slam the brakes when the actions turn out to be misguided.

(In reply to Telesto from comment #22)
> I still surprised how many departements/ people went along with this (or let
> it happen, without objecting).. based on gerrit commit: dev, ux, marketing.
> There needs to be a better protocol. I have the impression that some people
> letting this go along on purpose, to get it escalated, because this easier
> way to make a point. 
> It surely works, but until people just drop out being pissed how things are
> going.

The statutes ought to be required reading. It is not up to UX or marketing to stray from them!
Comment 60 Martin Srebotnjak 2020-07-15 10:39:23 UTC
Hello,
I am trying to look into future, so can someone please explain to me how this will work (let's say there are the "community" (or whatever it might be called) and a vendor version ("professional" or whatever it might be called):

Who decides what features will get into the "community" version? Will this be a board/developers decision where also vendors will participate and could block the community developers changes of core code?

I think that if vendors have a say what will be exclusively in their versions (which I think is great), they should not block features that community developers are introducing into the "community" version, even if they are counter-productive for their commercial offerings.

And this could lead to actually three versions:
- core LibreOffice code that is developed by the community and vendors alike (and tested by both, bugs squashed by both, translated and documented by the community - as the vendors do not spend many dimes on it etc.).
- community LibreOffice (additional features developed, tested, localized, documented, promoted - by the community) - probably some community features are useless or even overhead for the vendors;
- professional LibreOffice (additional/paid features developed, tested, localized, documented, promoted by the vendors themselves).
This could lead to a point where the added features either by community or vendors would require changes in the core LO and where the other party would not agree with such core changes (a rewrite or use of another open source library that would make some features obsolete etc.) - so there should be a veto possibility for both the vendors or community representatives in the TDF bodies.
regarding the changes in the core ...
This could lead also to double implementations of same functionality (one offered by vendors and the other for free by the community - surely the community would have the right to develop and include its own versions of vendor features? Or not? Would they be blocked?

Also, the role of TDF changes with this and as such should probably the structure of its bodies. TDF becomes a promoter of the LibreOffice brand and tje free version (and not the promoter of professional versions by vendors, as is now in every public statement of the TDF). Or will keep being promoter of paid versions of vendors, funded by donations as donations to an open-source, free project? This becomes kind of fuzzy to me.

If the community will not have absolute freedom of what of its ideas/code/content gets into the community version, this could probably lead to a general schism. 

On the other hand, this development is not so bad. The new version system will free many community resources - a lot of developers now working on testing and patching vendor-proposed/developed features will be free to code and test their own, community features and this could lead to a rise in brand new functionality of community LibreOffice.
Comment 61 Timur 2020-07-20 12:52:41 UTC
Blog said "The last change for all strings and tags would be possible the latest by Monday, July 20".
But I see no news and so worry that current regression will remain, albeit with no support and approval from the community. 
So, what's the status of this?

PS Today I saw a TDF membership renewal mail. As I asked, if members were not involved in such an important decision, what's the purpose of being a member.
Comment 62 Buovjaga 2020-07-20 16:01:37 UTC
(In reply to Martin Srebotnjak from comment #60)
> Hello,
> I am trying to look into future, so can someone please explain to me how
> this will work (let's say there are the "community" (or whatever it might be
> called) and a vendor version ("professional" or whatever it might be called):
> 
> Who decides what features will get into the "community" version? Will this
> be a board/developers decision where also vendors will participate and could
> block the community developers changes of core code?

The only thing that would change is the adding of a label to the builds produced by TDF. The enterprise versions *already exist*. No actor in the commercial ecosystem is proposing a radical shift to an open core model such as you describe.
Comment 63 V Stuart Foote 2020-07-20 17:38:54 UTC
I do not believe it is necessary that the "--with-product-flavor" build switch that started this backlash to be reverted. While Italo has revised the slide deck for the Marketing Communications Plan

https://nextcloud.documentfoundation.org/s/4pLtn9xn76BkxFK

the specific labeling for the tag remains 'TBD'--To Be Determined. With comments in the slide deck.

Meanwhile the 'Personal Edition' artwork and LibreOffice Personal and 'supported by volunteers and intended for individual use' tag line remains. Those should probably be removed til BOD reaches decision.

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 5d546de67b44dec23ecfa5a6378e2968912f8253
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 64 Michael Weghorn 2020-07-20 17:41:29 UTC
see https://blog.documentfoundation.org/blog/2020/07/20/update-on-marketing-and-communication-plans-for-the-libreoffice-7-x-series/ for current status; quote from there:

> As such, the 7.0 release of LibreOffice will not see any of the tagline/flavor
> text proposed inside the release candidate (RC) versions, the
> Marketing/Communication Plan for 2020-2025 or any of the alternatives proposed
> during the discussion, specifically inside the splash-screen, the start center
> and the about box; to explain it with other words, the modifications put in the
> RC versions with the regards of branding will be reverted to a previous state,
> so there will be seamless continuity from the 6.4 version to the 7.0.
Comment 65 Michael Weghorn 2020-07-20 17:42:29 UTC
(In reply to Michael Weghorn from comment #64)
> see
> https://blog.documentfoundation.org/blog/2020/07/20/update-on-marketing-and-
> communication-plans-for-the-libreoffice-7-x-series/ for current status;
> quote from there:
> 
> [...]

... but please read the whole blog post, discussion for what to do beyond/after 7.0 is still ongoing.
Comment 66 andreas_k 2020-09-08 08:38:59 UTC
(In reply to Michael Weghorn from comment #65)
> (In reply to Michael Weghorn from comment #64)
> > see
> > https://blog.documentfoundation.org/blog/2020/07/20/update-on-marketing-and-
> > communication-plans-for-the-libreoffice-7-x-series/ for current status;
> > quote from there:
> > 
> > [...]
> 
> ... but please read the whole blog post, discussion for what to do
> beyond/after 7.0 is still ongoing.

copy from the blog post (20.07.2020)
====================================
Yet again, we renew our encouragement to contribute actively in the discussion about the Marketing/Communication Plan for 2020-2025 in the next weeks, to allow for a more effective branding/Marketing ideas for the LibreOffice product and sustainability of its Community.

Are there some results from the discussion, cause I didn't read something since weeks.
Comment 67 Michael Meeks 2020-09-08 09:57:48 UTC
> Are there some results from the discussion

Not that I know of - there is a large stew of conflicting advice at significant length in public on board-discuss.

> cause I didn't read something since weeks.

People have been on holiday, or are generally fatigued by push-back I expect. No invisible progress that I'm aware of.
Comment 68 Timur 2020-10-12 12:09:14 UTC
Italo wrote: 

Yesterday we have had the monthly marketing call focused on the action
items related to the strategic marketing plan (full document is here):

https://nextcloud.documentfoundation.org/s/qPMWRFsxwQ6QFpK

Focusing on action items, we have decided the following:

1. Product Label for the community supported version provided by TDF
(i.e. Personal or Community or other proposals)
1.1 Proposals and discussion on the public marketing list by November 15
1.2 If necessary, vote for decision only by TDF Members by November 25
1.3 Final board decision during one of the December meetings, before
string freeze for 7.1 (due end of January early February)
TOPICS TO DISCUSS
1. Label (no label is not an option)
2. Where to position the label: title bar, about box, start center

2. LibreOffice Technology ingredient brand
2.1 Marketing will collect ideas and suggestions about the use of the
ingredient brand by November 10, and then will summarize them in a guide
2.2 Board will comment, update and approve the guide by November 25
TOPICS TO DISCUSS
1. LibreOffice Technology ingredient brand
2. Who should use it and where (i.e. just on products, products and
marketing materials, other places)

3. LibreOffice Enterprise label
2.1 Marketing will collect ideas and suggestions about the use of the
ingredient brand by November 10, and then will summarize them in a guide
2.2 Board will comment, update and approve the guide by November 25
TOPICS TO DISCUSS
1. LibreOffice Enterprise label
2. Who should use it and where (i.e. just on products, products and
marketing materials, other places)

4. LibreOffice Certification
Discussion will happen on the certification mailing list after LibOCon,
for decision by November 25 and BoD approval by December for deployment
in 2021

5. LibreOffice Online
For the time being, this discussion is on hold until a formal statement
from the BoD will clarify the situation WRT the development at TDF.

Looking forward to the discussion on the global marketing list (for
those not subscribed, the address is marketing@global.libreoffice.org).
Comment 69 Timur 2020-10-12 12:11:43 UTC
I can only repeat - since backlash seems not to be clear enough: 
do not proceed with destructive idea to change title bar and start center, nor to add "personal" anywhere.
Community in About is acceptable for me.
Comment 70 Italo Vignoli 2020-10-12 12:59:49 UTC
As clearly stated in the message, all comments here will be completely ignored, so please avoid to add further ones as this is not the place to contribute to the discussion.
Comment 71 Italo Vignoli 2020-10-12 13:00:13 UTC Comment hidden (obsolete)
Comment 72 Telesto 2020-10-12 20:36:05 UTC
(In reply to Timur from comment #68)
> Looking forward to the discussion on the global marketing list (for
> those not subscribed, the address is marketing@global.libreoffice.org).

To subscribe, e-mail to: marketing+subscribe@global.libreoffice.org
Posting guidelines + more: https://wiki.documentfoundation.org/Netiquette
List archive: https://listarchives.libreoffice.org/global/marketing/
Privacy Policy: https://www.documentfoundation.org/privacy